Method: advertisers.adGroups.youtubeAssetTypes.youtubeAssetAssociations.list

Lists the YouTube asset associations linked to the given resource.

HTTP request

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adGroups/{linkedEntity.adGroupId}/youtubeAssetTypes/{youtubeAssetType}/youtubeAssetAssociations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser that the linked entity belongs to.

Union parameter entity. The entity to associate with the YouTube asset. entity can be only one of the following:
linkedEntity.adGroupId

string (int64 format)

The ID of an ad group.

youtubeAssetType

enum (YoutubeAssetType)

Required. The type of YouTube asset being associated with the resource.

Query parameters

Parameters
Union parameter entity. The entity to associate with the YouTube asset. entity can be only one of the following:
linkedEntity.lineItemId

string (int64 format)

The ID of a line item.

pageSize

integer

Optional. Requested page size. Must be between 1 and 10000. If unspecified will default to 100. Returns error code INVALID_ARGUMENT if an invalid value is specified.

pageToken

string

Optional. A token identifying a page of results the server should return. Typically, this is the value of nextPageToken returned from the previous call to youtubeAssetAssociations.list method. If not specified, the first page of results will be returned.

orderBy

string

Optional. Field by which to sort the list. The only acceptable values are:

  • linkedYoutubeAsset.locationAssetFilter.assetSetId,
  • linkedYoutubeAsset.affiliateLocationAssetFilter.assetSetId,
  • linkedYoutubeAsset.sitelinkAsset.assetId

The default sorting order is ascending. To specify descending order for a field, a suffix " desc" should be added to the field name. Example: linkedYoutubeAsset.sitelinkAsset.assetId desc.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListYoutubeAssetAssociationsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.